# Evolve Front Office Scripting Utils

## Overview

This package contains an API client for communicating with Generate in Inspire Evolve.

Add to project:

```
npm install @quadient/evolve-generate-api-client
```

## Api Client Methods

-   `createWorkingFolder` - Creates a working folder for your batch job.
-   `increaseHitCount` - Increases the hit count for the specified processing pipeline. After a specific number of hits (set in GUI), the pipeline is triggered.
-   `startBatchJob` - Starts a batch job using a defined processing pipeline.

## Examples

```javascript
const generateClient = new GenerateApiClient(connector);

const createWorkingFolderResponse = generateClient.createWorkingFolder(name, expiration);
const startBatchJobResponse = generateClient.startBatchJob(pipelineName, createWorkingFolderResponse.workingFolderId);
const batchJobId = startBatchJobResponse.batchJobId;
```
