import "./stringExtensions";
const MaxErrorMessageLength = 4000;
export class BaseApiClient {
    constructor(generateConnector) {
        this.generateConnector = generateConnector;
        this.generateConnector = generateConnector;
    }
    async internalFetch(endpoint, body, headers) {
        const url = this.generateConnector.extendUri(endpoint);
        const request = {
            method: "POST",
            body: body,
        };
        if (headers) {
            request.headers = headers;
        }
        const response = await fetch(url, request);
        return await this.validateResponse(response);
    }
    async validateResponse(response) {
        if (!response.ok) {
            let resultBody = await response.text();
            if (resultBody.length > MaxErrorMessageLength) {
                resultBody = resultBody.substring(0, MaxErrorMessageLength) + "...";
            }
            throw new Error(`Generate Api Client Error: HTTP Code ${response.status} - '${resultBody}'.`);
        }
        const responseJson = await response.json();
        if (responseJson.error) {
            throw new Error(`Validation error: '${JSON.stringify(responseJson)}'.`);
        }
        return responseJson;
    }
}
